services:
  backend:
    image: git.nicosaya.com/nalalangan/costco-grocery-list/backend:main-new
    # image: grocery-app/backend:main-new
    restart: always
    env_file:
      - ./backend.env
    ports:
      - "5001:5000"

  frontend:
    image: git.nicosaya.com/nalalangan/costco-grocery-list/frontend:main-new
    # image: grocery-app/frontend:main-new
    restart: always
    env_file:
      - ./frontend.env
    ports:
      - "3001:5173"
    depends_on:
      - backend
